import request from '@/utils/request'

// 查询流程基础模型列表
export function listFlowBase(query) {
  return request({
    url: '/flow/flowBase/list',
    method: 'get',
    params: query
  })
}

// 查询流程基础模型详细
export function getFlowBase(id) {
  return request({
    url: '/flow/flowBase/' + id,
    method: 'get'
  })
}

// 新增流程基础模型
export function addFlowBase(data) {
  return request({
    url: '/flow/flowBase',
    method: 'post',
    data: data
  })
}

// 修改流程基础模型
export function updateFlowBase(data) {
  return request({
    url: '/flow/flowBase',
    method: 'put',
    data: data
  })
}

// 删除流程基础模型
export function delFlowBase(id) {
  return request({
    url: '/flow/flowBase/' + id,
    method: 'delete'
  })
}

// 导出流程基础模型
export function exportFlowBase(query) {
  return request({
    url: '/flow/flowBase/export',
    method: 'get',
    params: query
  })
}